Subject: bug#8973: "options ..." line underdocumented

From: Dave Abrahams <[email-masked]>
Date: Sun, 03 Jul 2011 16:55:04 -0400

on Sun Jul 03 2011, Lars Magne Ingebrigtsen <larsi-AT-gnus.org> wrote:

> Dave Abrahams <[email-masked]> writes:
>
>> Well, for example, you could tell me what the `-n' option does.  I
>> expect it's meaningful to leave it out, or there wouldn't be any point
>> in having it.  What happens when I leave it out?
>
> It's just how the format was defined by xnews in...  89?  Or something?
> I have no idea what the -n means, really.  But "options -n" is the only
> thing anybody ever used, I seem to recall when writing that stuff.

Well you could explain something to that effect in the documentation, to
forestall questions like this one and the feeling among readers that
they're swimming in some vague half-understood reality that isn't quite
accessible to them (even if they are ;->).

>> You could give me more detail about what's allowed for the other
>> arguments--- am I limited to arguments matching the regexp
>> `!\[A-Za-z]\.all'?
>
> Yes.
>
> Or rather, "!?\[A-Za-z.]+\.all".

So, you could document that fact.  Does the pattern need to match at the
beginning of the newsgroup name (document that too)?

-- 
Dave Abrahams
BoostPro Computing
http://www.boostpro.com